## amideco 0.31e

=== src/Makefile ===
#
# Main Makefile
# (c) 2002
#

MAKE = make

amideco:
	gcc amideco.c amifunc.o kernel.o -s -fpack-struct -o amideco

amifunc:
	gcc amifunc.c -c -o amifunc.o -fpack-struct

kernel:
	gcc kernel.c -c -o kernel.o -fpack-struct

clean: 
	rm -f *.o
	rm -f amideco

rebuild:
	make clean
	make amifunc
	make kernel
	make amideco

=== debian/changelog ===
amideco (0.31e-4) unstable; urgency=medium

  * Team upload.

  [ наб ]
  * d/p/:
      10 Build with builtin rules
      15 (drop, obsoleted by new 10)
    0007 include amideco.h and sys/stat.h for proper declarations
    0008 Use -funsigned-char to clear out warnings
         Use real strlen(3)/strcmp(3)
         Closes: #1074808
    0009 Fix formats: %l[uX] for dword (u32) and missing %s filenames
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * cdbs -> dh
  * Vcs-Git: https://salsa.debian.org/salvage-team/amideco.git
  * Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
    Closes: #1087815
  * Homepage: archive.org link

  [ Cyril Roelandt ]
  * Fix FTBFS with clang:
    - Fixed "wrong main declaration" in src/amideco.c
      (Closes: #748818)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 19 Nov 2024 03:49:16 +0100

amideco (0.31e-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (Closes: #1007578).
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sat, 17 Feb 2024 21:18:10 +0000

amideco (0.31e-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965407)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 16:18:44 +0200

amideco (0.31e-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * 30_hurd.diff. Fix FTBFS on GNU/Hurd. (Closes: #532695).
  * 40_bad_table.diff. Fix compression flag. (Closes: #486265).
  * 50_bad_output.diff. Fix bogus output. (Closes: #486085).
    + Thanks to Bjørn Mork for the patches (40 and 50).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 23 Dec 2009 15:19:51 -0500

amideco (0.31e-3) unstable; urgency=low

  * Install the binary in /usr/bin, not /bin.
  * Standards-Version: 3.7.3 (no changes required).
  * debian/control: Add Homepage field.
  * Honor the 'nostrip' build option (Closes: #436455).

 -- Uwe Hermann <uwe@debian.org>  Sat, 09 Feb 2008 23:16:00 +0100

amideco (0.31e-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD (Closes: #414229).
    Thanks Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> for the patch.

 -- Uwe Hermann <uwe@debian.org>  Sun, 08 Apr 2007 02:30:49 +0200

amideco (0.31e-1) unstable; urgency=low

  * Initial release (Closes: #385127).
  * I wrote a manpage for amideco, as there was none upstream.

 -- Uwe Hermann <uwe@debian.org>  Sat,  2 Sep 2006 17:22:03 +0200

=== debian/control ===
Source: amideco
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://web.archive.org/web/20070608175640/http://www.kaos.ru/biosgfx/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/salvage-team/amideco.git
Vcs-Browser: https://salsa.debian.org/salvage-team/amideco

Package: amideco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decompress flashfiles equipped with an AMI BIOS
 Amideco is a program which can decompress BIOS images which
 contain an AMI BIOS.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


override_dh_auto_build:
	$(MAKE) -C src


%:
	dh $@
